<persistence xmlns="http://xmlns.jcp.org/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence
             http://xmlns.jcp.org/xml/ns/persistence/persistence_2_1.xsd"
             version="2.1">

    <persistence-unit name="brecommender" transaction-type="RESOURCE_LOCAL">
        <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
        <class>AnalyzedBookModel</class>
        <class>BookDifferenceModel</class>
        <class>BXBookModel</class>
        <class>BXRatingModel</class>
        <class>GutenbergBookModel</class>
        <class>RegressorParameterModel</class>
        <class>TestingEuclideanDistanceModel</class>
        <class>TestingResultsModel</class>
        <class>TrainingEuclideanDistanceModel</class>
        <properties>
            <property name="javax.persistence.jdbc.url" value="jdbc:mysql://localhost/book_recommender_data" />
            <property name="javax.persistence.jdbc.user" value="root" />
            <property name="javax.persistence.jdbc.password" value="biblio76" />
            <property name="javax.persistence.jdbc.driver" value="com.mysql.jdbc.Driver" />

            <property name="hibernate.show_sql" value="true" />
            <property name="hibernate.format_sql" value="true" />
            <property name="hibernate.dialect" value="org.hibernate.dialect.MySQL5InnoDBDialect" />
            <property name="hibernate.hbm2ddl.auto" value="validate" />

            <!-- Configuring Connection Pool -->
            <!--<property name="hibernate.c3p0.min_size" value="5" />-->
            <property name="hibernate.c3p0.max_size" value="0" />
            <property name="hibernate.c3p0.timeout" value="500" />
            <property name="hibernate.c3p0.max_statements" value="50" />
            <property name="hibernate.c3p0.idle_test_period" value="2000" />
        </properties>
    </persistence-unit>
</persistence>